#include <bits/stdc++.h>
using namespace std;
int main(){
ios::sync_with_stdio(0);
cin.tie(0);
    int n,k;
    cin >> n >> k;
    int a[n];
    int zbir=0;
    for(int i=0;i<n;++i){
        cin >> a[i];
        if(i!=0&&i!=n-1){
            zbir+=a[i];
        }
    }
    int mx = max(a[0],a[n-1]);
    cout << zbir+mx-min(a[0],a[n-1]);
    return 0;

}